Skip to main content
Smart Collect is not available in Malaysia, Singapore.
Smart Collect 2.0, which is an upgraded version of Smart Collect , offers additional APIs which enables you to create Customer Identifiers with Bank Account and VPA Receiver, add VPA Receiver to existing Customer Identifier, and fetch payments made using UPI. Open a Current account or an Escrow account to start using Smart Collect 2.0.
Handy Tips
  • Smart Collect 2.0 offers all the existing functionalities of Smart Collect and uses the same Smart Collect API endpoints, in addition to the new APIs listed on this page.
  • Use Smart Collect TPV APIs to Add an Allowed Payer or Delete an Allowed Payer
Watch Out!Bank account is mandatory to create a Customer Identifier. You cannot create a Customer Identifier using VPA (UPI) alone.

Create Customer Identifier with VPA and Bank Account Receivers With Smart Collect 2.0

POST /v1/virtual_accountsCreates a Customer Identifier with VPA and Bank Account Receivers With Smart Collect 2.0.

Add VPA Receiver to existing Customer Identifier With Smart Collect 2.0

POST v1/virtual_accounts/:id/receiversAdds a VPA Receiver to an existing Customer Identifier With Smart Collect 2.0.

Fetch Payments Made Using UPI With Smart Collect 2.0

GET /v1/payments/:id/upi_transferRetrieves payments made using UPI With Smart Collect 2.0.

Create a Customer Identifier With Bank Account Receiver

POST /v1/virtual_accountsCreates a Customer Identifier with bank account receiver.

Update a Customer Identifier

POST /v1/virtual_accounts/:idUpdates details of a Customer Identifier.

Fetch a Customer Identifier Using ID

GET /v1/virtual_accounts/:idRetrieves details of a Customer Identifier using id.

Fetch All Customer Identifiers

GET /v1/virtual_accounts/Retrieves details of all Customer Identifiers.

Fetch Payments for a Customer Identifier

GET /v1/virtual_accounts/:id/paymentsRetrieves details of payments made against a particular Customer Identifier.

Fetch Payments Made By Bank Transfer

GET /v1/virtual_accounts/:id/paymentsRetrieves details of a payment using bank transfer method.

Fetch Payments Using UTR

GET /v1/payments?skip=0&count=25&va_transaction_id=:id&virtual_account=1Retrieves details of a payment using bank transfer method via UTR.

Close a Customer Identifier

POST /v1/virtual_accounts/:id/closeCloses a Customer Identifier.

Add VPA Receiver to existing Customer Identifier With Smart Collect 2.0

POST v1/virtual_accounts/:id/receiversAdds a VPA Receiver to an existing Customer Identifier With Smart Collect 2.0.

Create Customer Identifier with VPA and Bank Account Receivers With Smart Collect 2.0

POST /v1/virtual_accountsCreates a Customer Identifier with VPA and Bank Account Receivers With Smart Collect 2.0.

Fetch Payments Made Using UPI With Smart Collect 2.0

GET /v1/payments/:id/upi_transferRetrieves payments made using UPI With Smart Collect 2.0.